Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157690 - ext3 errors after using chattr -R -S +j +A /var/spool/postfix/
Summary: ext3 errors after using chattr -R -S +j +A /var/spool/postfix/
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-13 19:15 UTC by Nathan G. Grennan
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 01:16:08 UTC


Attachments (Terms of Use)

Description Nathan G. Grennan 2005-05-13 19:15:55 UTC
Description of problem:

I read http://www.stahl.bau.tu-bs.de/~hildeb/postfix/postfix_ext3.shtml which
suggested using "chattr -R -S +j +A /var/spool/postfix/".

I implemented it on three servers. The first, which is the one that had the
errors, is running 2.6.11-1.20 and is a very busy mail server. The second is a
multi-purpose server that also runs postfix and isn't busy. It is running
2.6.11-1.14. I didn't get any errors from it before I undid the chattr changes
on it. The third is a mail server that isn't busy, uses postfix, and is running
2.6.11-1.20. Again I got no errors before I disabled the chattr changes. The
first and third are using raid1 linux software raid. The second doesn't use
software raid. None use LVM or any other disk layer. They all use ext3
filesystems for everything and other than the chattr changes I tried should be
default settings.

During the errors I tried to undo the changes via chattr, "chattr -R -S -j -A
/var/spool/postfix/" and because the /var filesystem was read-only I got the
chattr errors below.

On reboot the journal didn't recover properly and fsck detected errors. It tried
to automatically fix them, but required manually intervention. I entered the
root password and used "fsck -y /dev/md3". Then I rebooted again.
Then I booted into single user mode and ran "chattr -R -S -j -A
/var/spool/postfix/". Then rebooted for the final time. The system came back up
and hasn't had any more errors yet.


All the output below is from the server that had errors.


Output from "rpm -q postfix":
postfix-2.2.1-2.11


Output from "df -h":

Filesystem            Size  Used Avail Use% Mounted on
/dev/md2              3.0G  1.3G  1.6G  46% /
/dev/md3               13G  5.5G  6.9G  45% /var
none                  506M     0  506M   0% /dev/shm


Output from chattr:
chattr: Read-only file system while setting flags on /var/spool/postfix
chattr: Read-only file system while setting flags on /var/spool/postfix/maildrop


Output from dmesg:
Disabled Privacy Extensions on device c03ca360(lo)
IPv6 over IPv4 tunneling driver
eth0: no IPv6 routers present
input: AT Translated Set 2 keyboard on isa0060/serio0
EXT3-fs unexpected failure: !buffer_revoked(bh);
inconsistent data on disk
ext3_forget: aborting transaction: IO failure in __ext3_journal_revoke
ext3_abort called.
EXT3-fs error (device md3): ext3_forget: error -5 when attempting revoke
Remounting filesystem read-only
Aborting journal on device md3.
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in ext3_free_blocks_sb: Journal has aborted
EXT3-fs error (device md3) in ext3_reserve_inode_write: Journal has aborted
EXT3-fs error (device md3) in ext3_truncate: IO failure
EXT3-fs error (device md3) in ext3_reserve_inode_write: Journal has aborted
EXT3-fs error (device md3) in ext3_orphan_del: Journal has aborted
EXT3-fs error (device md3) in ext3_reserve_inode_write: Journal has aborted
EXT3-fs error (device md3) in ext3_delete_inode: IO failure
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted
EXT3-fs error (device md3) in start_transaction: Journal has aborted

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.20

How reproducible:
Haven't tried to reproduce

Steps to Reproduce:
1. chattr -R -S +j +A /var/spool/postfix/
  
Actual results:
journal errors

Expected results:
no journal errors

Additional info:

Comment 1 Dave Jones 2005-07-15 19:06:36 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-10-03 01:16:08 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.